Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Please update both RedmineInstall and RedmineUpgrade in order to add missing RAILS_ENV to rake generate_secret_token

command, so

bundle exec rake generate_secret_token RAILS_ENV=production

 instead of just

bundle exec rake generate_secret_token

History

#1 - 2021-05-03 18:12 - Holger Just

- Status changed from New to Needs feedback

The generate_secret_token rake task does not interact with the database nor the global configuration nor any other external component. As such, it

shouldn't make any different under which environment the rake task is run.

Do you see any observable difference when running this rake task under the (usual) default development rather than production?

#2 - 2021-05-04 14:20 - Karel Pičman

You're right. The problem has been finally identified in a plugin. Thank you for prodding me into searching the real cause of the problem. You can

close the issue, I think.

#3 - 2021-05-04 15:31 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

- Resolution set to Invalid
https://www.redmine.org/projects/redmine/wiki/RedmineInstall
https://www.redmine.org/projects/redmine/wiki/RedmineUpgrade
https://github.com/jbox-web/redmine_git_hosting/issues/749
http://www.tcpdf.org

